import resolve from "@rollup/plugin-node-resolve";
import { terser } from "rollup-plugin-terser";

export default [
  
  
  // {
  //   input: "src/jquery.gantt.esm.js",
  //   output: {
  //     file: "dist/jquery.gantt.min.js",
  //     format: "iife", // Immediately Invoked Function Expression (IIFE) suitable for <script> tags
  //     name: "jqueryGantt", // Name of the global variable for browsers
  //     sourcemap: true,
  //   },
  //   plugins: [
  //     resolve(), // So Rollup can find `ms`
  //     terser(), // Minify the output
  //   ],
  // },

  // ES6 build
  {
    input: {
      "dist/jquery.gantt": "src/index.js",
      "dist/helpers/DragAndSort": "src/helpers/DragAndSort.js",
      "dist/helpers/index": "src/helpers/index.js",
    },
    output: {
      dir: "./",
      chunkFileNames: "dist/chunks/[name].js",
      entryFileNames: "[name].js",
      format: "esm", // ES6 module
      indent: false,
      sourcemap: true,
    },
    plugins: [
      resolve(), // So Rollup can find `ms`
      terser(), // Minify the output
    ],
  },

  // UMD build
  {
    input: "src/index.umd.js",
    output: {
      file: "dist/jquery.gantt.umd.js",
      format: "umd", // Universal Module Definition (UMD)
      name: "jquery.gantt", // Name of the global variable for browsers
      sourcemap: true,
    },
    plugins: [
      resolve(), // So Rollup can find `ms`
      terser(), // Minify the output
    ],
  }
];
